Summary: Support for the https protocol under LWP
Name: perl-Crypt-SSLeay
Packager: Daouda Lo <daouda@mandrakesoft.com>
Version: 0.37
Release: 1mdk
License: GPL or Artistic
Group: Development/Perl
Source: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Crypt/Crypt-SSLeay-%{version}.tar.bz2
URL: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Crypt/Crypt-SSLeay-%{version}.readme
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl >= 5.00503
Provides: SSLeay.pm

%description 
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work via these deprecated modules:

This product includes cryptographic software written by 
Eric Young (eay@cryptsoft.com)

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n Crypt-SSLeay-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo| perl Makefile.PL
%make

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README
%{_libdir}/perl5/site_perl
%{_libdir}/perl5/man/man3/*

%changelog
* Thu Mar  7 2002 Daouda LO <daouda@mandrakesoft.com> 0.37-1mdk
- 0.37-1mdk

